/*****************************************************************************
 *   Copyright (C) 2008 Thomas Kaiser, thomas@ft-fanpage.de                  *
 *   Copyright (C) 2009 Peter "woggle" Mack, mac@denich.net                  *
 *   Copyright (C) 2011 Christian "Cebra" Brandtner, brandtner@brandtner.net *
 *   Copyright (C) 2011 Harald Bongartz                                      *
 *                                                                           *
 *   This program is free software; you can redistribute it and/or modify    *
 *   it under the terms of the GNU General Public License as published by    *
 *   the Free Software Foundation; either version 2 of the License.          *
 *                                                                           *
 *   This program is distributed in the hope that it will be useful,         *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *   GNU General Public License for more details.                            *
 *                                                                           *
 *   You should have received a copy of the GNU General Public License       *
 *   along with this program; if not, write to the                           *
 *   Free Software Foundation, Inc.,                                         *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.               *
 *                                                                           *
 *                                                                           *
 *   Credits to:                                                             *
 *   Holger Buss & Ingo Busker from mikrokopter.de for the MK project + SVN  *
 *                          http://www.mikrokopter.de                        *
 *   Gregor "killagreg" Stobrawa for his version of the MK code              *
 *   Thomas Kaiser "thkais" for the original project. See                    *
 *                          http://www.ft-fanpage.de/mikrokopter/            *
 *                          http://forum.mikrokopter.de/topic-4061-1.html    *
 *   Claas Anders "CaScAdE" Rathje for providing the font and his C-OSD code *
 *                          http://www.mylifesucks.de/oss/c-osd/             *
 *   Harald Bongartz "HaraldB" for providing his Ideas and Code for usibility*
 *****************************************************************************/



#define PAGES 14
#define PARAM_COUNT 150  //144 FC086
#define PARAM_LENGTH 15
#define PARAM_NUM_LANG 4

//           German          Englisch   Franzsisch   Hollndisch

prog_char param_pages[PAGES][PARAM_NUM_LANG][PARAM_LENGTH]= // zeilen,zeichen+1
{
	{"Kanle        ","Channel       ","Canaux        ","Kanaal        "},
	{"Konfiguration ","main          ","Config        ","Configuratie  "},
	{"Stick         ","stick         ","Manche        ","Stick         "},
	{"Looping       ","Looping       ","Looping       ","Looping       "},
	{"Hhe          ","Altitude      ","Altitude      ","Hoogte        "},
	{"Kamera        ","Camera        ","Camera        ","Camera        "},
	{"NaviCtrl      ","NaviCtrl      ","NaviCtrl      ","NaviCtrl      "},
	{"Ausgnge      ","Outputs       ","Sorties       ","Uitgangen     "},
	{"Verschiedenes ","Divers        ","Divers        ","Diversen      "},
	{"Gyro          ","Gyro          ","Gyro          ","Gyro          "},
	{"Benutzer      ","User          ","Parametres    ","Gebruiker     "},
	{"Achskopplung  ","Coupl Axes    ","Coupl Axes    ","Koppeling Ass "},
	{"Mixer-Setup   ","Config Mix    ","Config Mix    ","Config. Mixer "},
	{"Easy Setup    ","Config Easy   ","Config Easy   ","Config. easy  "},



};


//Namen
prog_char  param_names[PARAM_COUNT][PARAM_NUM_LANG][PARAM_LENGTH]=
{
	// group 0 (kanaele) 1-15

	{"Gas           ","Throttle      ","Gaz           ","Gas           "},
	{"Gier          ","Gier          ","Lacet         ","Gier          "},
	{"Nick          ","Nick          ","Tangage       ","Nick          "},
	{"Roll          ","Roll          ","Roulis        ","Roll          "},
	{"Poti 1        ","Poti 1        ","Poti 1        ","Poti 1        "},
	{"Poti 2        ","Poti 2        ","Poti 2        ","Poti 2        "},
	{"Poti 3        ","Poti 3        ","Poti 3        ","Poti 3        "},
	{"Poti 4        ","Poti 4        ","Poti 4        ","Poti 4        "},
	{"Poti 5        ","Poti 5        ","Poti 5        ","Poti 5        "},
	{"Poti 6        ","Poti 6        ","Poti 6        ","Poti 6        "},
	{"Poti 7        ","Poti 7        ","Poti 7        ","Poti 7        "},
	{"Poti 8        ","Poti 8        ","Poti 8        ","Poti 8        "},
	{"Motor Sich.Sch","Mot.Safety Sw.","Mot.Safety Sw.","Mot.saf.schak."},
	{"Erw. Sig. Pr. ","Enh. Sig.Check","Recep Renforce","Uitg.Sig.Check"},
	{"Empfnger Typ ","Receiver Type ","Type Recepteur","Ontvang. Type "},


	// group 1 (main) 16-23

	{"Hhenregeler  ","Ctrl Altitude ","Ctrl Altitude ","Ctrl Hoogte   "},
	{"GPS           ","GPS           ","GPS           ","GPS           "},
	{"Kompass       ","Compass       ","Compas        ","Kompas        "},
	{"KompFest Ausr.","CompOrient.Fix","Maintien Cap  ","Kompas vast   "},
	{"Erw. Sig. Pr. ","Sens.RcvSigVal","Ctrl Ren Recep","ExtRec Signaal"},
	{"Achs(e.)koppl.","Axis Couping  ","Decouplage Axe","As koppeling  "},
	{"Drehratenbegr.","RotRate limit.","Limit Vit. Rot","RotRate limit."},
	{"Heading Hold  ","Nick/Roll     ","Orient. Fixe  ","Koers vast    "},


	// group 2 (stick) 24-27

	{"Nick/Roll P   ","Nick/Roll P   ","Roul/Tang P   ","Nick/Roll P   "},
	{"Nick/Roll D   ","Nick/Roll D   ","Roul/Tang D   ","Nick/Roll D   "},
	{"Gier P        ","Gier P        ","Lacet P       ","Gier P        "},
	{"Externe Kontr.","Extern Ctrl   ","Ctrl Externe  ","Extern Control"},


	// group3 : (looping) 28-36

	{"Looping oben  ","Looping up    ","Looping Avant ","Looping omhoog"},
	{"Looping unten ","Looping down  ","Looping Arrier","Looping bened."},
	{"Looping links ","Looping left  ","Looping Gauche","Looping links "},
	{"Looping rechts","Looping right ","Looping Droite","Looping rechts"},
	{"Gas Limit     ","Throttle Limit","Limite Gaz    ","Gas Limiet    "},
	{"Ansprechschw. ","Resp. Thresh. ","Seuil Reponse ","Drempelwaarde "},
	{"Hysterese     ","Hysteresis    ","Hysteresis    ","Hysterese     "},
	{"Umkehrp. Nick ","Turnover Nick ","Invers Roulis ","Nick geinvert."},
	{"Umkehrp. Roll ","Turnover Roll ","Invers Tangage","Roll geinvert."},


	// group 4 (hoehe) 37-50

	{"Hhenregelung ","Altitude Ctrl ","Ctrl Altitude ","Hoogte Control"},
	{"J:HBeg,N:Vario","Y:LimH,N:Vario","Y:LimH,N:Vario","Y:LimH,N:Vario"},
	{"Schalter f. H.","use Sw. f.Setp","Swith Hauteur ","Schak. Hoogte "},
	{"akust. Vario  ","acoustic Vario","Vario Acoustic","Akoest. Vario "},
	{"Sollhhe      ","Setpoint      ","Hauteur Max   ","Gewenste hoogt"},
	{"Min. Gas      ","min. throttle ","Gaz Min       ","Minimaal gas  "},
	{"Hhe P        ","Altitude P    ","Altitude P    ","Hoogte P      "},
	{"Luftdruck D   ","Barometric D  ","Pression D    ","Barometr. D   "},
	{"Z-ACC         ","ACC Z         ","ACC Z         ","ACC Z         "},
	{"Max. Hhe     ","Max. Altitude ","Max. High     ","Max. hoogte   "},
	{"Verstrkung/R ","gain/rate     ","Gain/Frequence","Verst./rate   "},
	{"Schwebegas +/-","hoover varia. ","Var Vol Stat  ","hoover varia. "},
	{"GPS Z         ","GPS Z         ","GPS Z         ","GPS Z         "},
	{"Stick Neutr. P","stick neutr. P","Pos Neutre Man","stick neutr. P"},


	// group 5 : (kamera) 51-68

	{"Nick S. Anst. ","nick serv ctrl","Asserv Tangage","nick serv ctrl"},
	{"Nick Kompens. ","nick compens. ","Comp Tangage  ","nick compens. "},
	{"Nick Umkehren ","nick inv. dir.","Inverser Roul ","nick inv.rich."},
	{"Nick Servo min","nick servo min","Servo Min     ","nick servo min"},
	{"Nick Servo max","nick servo max","Servo Max     ","nick servo max"},
	{"Nick Serv Filt","Nick Serv Filt","Nick Serv Filt","Nick Serv Filt"},  //FC0.87

	{"Roll S. Anst. ","roll serv ctrl","Asserv Roulis ","roll serv ctrl"},
	{"Roll Kompens. ","roll compens. ","Comp Tangage  ","roll compens. "},
	{"Roll Umkehren ","roll inv. dir.","Inverser Tang ","roll omkeren  "},
	{"Roll Servo min","roll servo min","Servo Min     ","roll servo min"},
	{"Roll Servo max","roll servo max","Servo Max     ","roll servo max"},
	{"Roll Serv Filt","Roll Serv Filt","Roll Serv Filt","Roll Serv Filt"},  //FC0.87

	{"Anst. Geschw. ","servo refresh ","Taux Refresh  ","Servo refresh "},
	{"Manuelle Gesch","manuell Speed ","Vitesse Man.  ","Snelh.handbed."},
	{"Cam Richtung  ","Cam Orient    ","Cam Orient    ","Camera richt. "},
	{"Servo 3       ","Servo 3       ","Servo 3       ","Servo 3       "},
	{"Servo 4       ","Servo 4       ","Servo 4       ","Servo 4       "},
	{"Servo 5       ","Servo 5       ","Servo 5       ","Servo 5       "},
                                                    
                                                    
	// group 6 : (navictrl) 69-88                      "CH Hoogte     "

	{"GPS           ","enable GPS    ","Activer GPS   ","enable GPS    "},
	{"GPS Modus St. ","GPS mode contr","Def Mode GPS  ","GPS mode contr"},
	{"GPS Verstrk. ","GPS Gain      ","Gain GPS      ","GPS versterk. "},
	{"GPS St. Schw. ","GPS stick thre","Seuil Manche  ","GPS st. dremp."},
	{"Min. Sat.     ","Min. Sat.     ","Nbre Min. Sat.","Min. Sat.     "},
	{"GPS-P         ","GPS-P         ","GPS-P         ","GPS-P         "},
	{"GPS-I         ","GPS-I         ","GPS-I         ","GPS-I         "},
	{"GPS-D         ","GPS-D         ","GPS-D         ","GPS-D         "},
	{"P Limit       ","Limit  P      ","Limite P      ","Limiet  P     "},
	{"I Limit       ","Limit  I      ","Limite I      ","Limiet  I     "},
	{"D Limit       ","Limit  D      ","Limite D      ","Limiet  D     "},
	{"GPS Acc       ","GPS Acc       ","Accel GPS     ","GPS Acc       "},
	{"GPS Windkorr. ","GPS Wind Corr.","Correct Vent  ","GPS Wind Corr."},
	{"Bremswirkung  ","Speed compens.","Compens Vit   ","Remwerking    "},
	{"GPS max. Rad. ","GPS max.radius","Rayon GPS Max ","GPS max.radius"},
	{"GPS Winkel Li.","GPS angl.limit","Limit Angl GPS","GPS hoek lim. "},
	{"PH Login time ","PH login time ","Tps Memoris   ","PH login tijd "},
	{"Dynamic PH    ","Dynamic PH    ","Dynamic PH    ","Dynamische PH "},
	{"GPS m. Rad dPH","GPS m. Rad dPH","GPS m. Rad dPH","GPS m. Rad dPH"}, //FC0.87
	{"CH Hhe       ","CH Altitude   ","CH Altitude   ","CH Hoogte     "},


	// group 7 : (ausgaenge) 89-98

	{"LED1 Bitmaske ","Out1 Bitmask  ","Bitmask S1    ","Uitg1 Bitpatr."},
	{"     Timing   ","Out1 Timing   ","Horloge S1    ","Uitg1 Timing  "},
	{"     sofort an","Activ         ","Actif         ","Direct aan    "},
	{"     n.m.Motor","Act. wi. Motor","Actif Au Repos","Akt. motor uit"},
	{"LED2 Bitmaske ","Out2 Bitmask  ","Bitmask S2    ","Uitg2 Bitpatr."},
	{"     Timing   ","Out2 Timing   ","Horloge S2    ","Uitg2 Timing  "},
	{"     sofort an","Activ         ","Actif         ","Direct aan    "},
	{"     n.m.Motor","Act. wi. Motor","Actif Au Repos","Akt. motor uit"},
	{"Out1 Vmin.Warn","Out1 undervolt","Al Undervoltag","Uitg1 ondersp."},
	{"Out2 Vmin.Warn","Out2 undervolt","Al Undervoltag","Uitg2 ondersp."},


	// group 8 : (verschiedenes) 99-113

	{"Min. Gas      ","min. throttle ","Gaz Min.      ","minimaal gas  "},
	{"Max. Gas      ","max. throttle ","Gaz Max.      ","maximaal gas  "},
	{"Kompasswirkung","compass effect","Effet compas  ","Kompas effect "},
	{"Carefree St.  ","Carefree Ctrl ","Carefree Ctrl ","Carefree Ctrl "},
	{"Teachable Care","Teachable Care","Teachable Care","Teachable Care"},
	{"Unterspannung ","undervoltage  ","Sous Tension  ","Onderspanning "},
	{"Volt Referenz ","Volt Referenz ","Tension Ref   ","Ref. spanning "},
	{"Not Gas Zeit  ","Emerg.Thr.Time","Duree secours ","Nood gas tijd "},
	{"Not Gas       ","Emerg.Throttle","Gaz de secours","Nood gas      "},
	{"Fails. CH Time","Fails. CH Time","Fails. CH Time","Fails. CH Tijd"},
        {"Fails. Channel","Fails. Channel","Fails. Channel","Fails. Channel"}, //FC 0.87
        {"k.Summer o Sen","n beep act TX ","n beep act TX ","n beep act TX "}, // Pos Change FC0.87
        {"Vario fail Alt","Vario fail Alt","Vario fail Alt","Vario fail Alt"}, //FC 0.87
	{"Compass Error ","Compass Error ","Compass Error ","Kompas Error  "},
	{"k.Start o.SD-K","n st. wtho SD ","n st. wtho SD ","n st. wtho SD "}, //FC 0.87


	// group 9 : (gyro) 114-126

	{"Gyro P        ","Gyro P        ","Gyro P        ","Gyro P        "},
	{"Gyro I        ","Gyro I        ","Gyro I        ","Gyro I        "},
	{"Gyro D        ","Gyro D        ","Gyro D        ","Gyro D        "},
	{"Gier P        ","Lacet P       ","Lacet P       ","Gier P        "},
	{"Gier I        ","Lacet I       ","Lacet I       ","Gier I        "},
	{"Dynamische St.","dynamic stabi.","Stab Dynamique","Dynamis. stab."},
	{"Drehratenbeg. ","RotRate limit.","Limit Dit Rota","Toerental lim."},
	{"ACC/Gyro Fak. ","ACC/Gyro Fact ","ACC/Gyro Fact ","ACC/Gyro Fact "},
	{"ACC/Gyro Komp.","Comp ACC/Gyro ","Comp ACC/Gyro ","Comp ACC/Gyro "},
	{"Hauptregler I ","Main I        ","Regul Princ I ","Hoofdregel. I "},
	{"Drifkompensat.","drift Compens.","Compens Deriv ","Drift compens."},
	{"Gyro stab.    ","Gyro stability","Gyro Stability","Gyro stabilit."},
	{"Motor smooth  ","Motor smooth  ","Motor Smooth  ","Motor smooth  "},


	// group 10: (benutzer) 127-134

	{"Parameter 1   ","Parameter 1   ","Parameter 1   ","Parameter 1   "},
	{"Parameter 2   ","Parameter 2   ","Parameter 2   ","Parameter 2   "},
	{"Parameter 3   ","Parameter 3   ","Parameter 3   ","Parameter 3   "},
	{"Parameter 4   ","Parameter 4   ","Parameter 4   ","Parameter 4   "},
	{"Parameter 5   ","Parameter 5   ","Parameter 5   ","Parameter 5   "},
	{"Parameter 6   ","Parameter 6   ","Parameter 6   ","Parameter 6   "},
	{"Parameter 7   ","Parameter 7   ","Parameter 7   ","Parameter 7   "},
	{"Parameter 8   ","Parameter 8   ","Parameter 8   ","Parameter 8   "},


	// group 11: (achskopplung) 135-138

	{"Achs(e.)koppl.","(De)Coupl Axes","(De)Coupl Axes","As koppeling  "},
	{"Gier pos. Kopp","Retroac lacet ","Retroac Lacet ","Gier pos. kop."},
	{"Nick/Roll Kopp","Retro roul/tan","Retro Roul/Tan","Nick/Roll kop."},
	{"Gier Korrektur","Correct lacet ","Correct Lacet ","Gier correctie"},


	// group 12: (mixer) 139

	{"Orientierung  ","Orientierung  ","Orientation   "},


	// group 13 (easy) 140-150

	{"Hhenregelung ","Altitude Ctrl ","Ctrl Altitude ","Hoogte Contr. "},
	{"Sollhhe      ","Setpoint      ","Hauteur Max   ","Gewenst.hoogte"},
	{"Stick Neutr. P","stick neutr. P","Pos Neutre Man","Stick neutr. P"},
	{"GPS           ","enable GPS    ","Activer GPS   ","Enable GPS    "},
	{"GPS Modus St. ","GPS mode contr","Def mode GPS  ","GPS mode contr"},
	{"Dynamic PH    ","Dynamic PH    ","Dynamic PH    ","Dynamic PH    "},
	{"CH Hhe       ","CH High       ","CH High       ","CH hoogte     "},
	{"Carefree St.  ","Carefree Ctrl ","Carefree Ctrl ","Carefree Ctrl "},
	{"Teachable Care","Teachable Care","Teachable Care","Teachable Care"},
	{"Motor Sich.Sch","Mot.Safety Sw.","Mot.Safety Sw.","Mot.saf.schak."},
	{"Orientierung  ","Orientation   ","Orientierung  ","Orientatie    "},

};

